Bug 21351 - Traditional Chinese Language pack should have file name "zh-Hant-TW" not "zh-Hans-TW"
Summary: Traditional Chinese Language pack should have file name "zh-Hant-TW" not "zh-...
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Margaret
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-09-14 23:28 UTC by Margaret
Modified: 2018-11-09 11:42 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
system_pref_misnamed (39.41 KB, image/png)
2018-09-14 23:28 UTC, Margaret
Details
Bug 21351: Rename the Taiwanese language pack to use correct file name (3.47 KB, patch)
2018-10-04 18:01 UTC, Margaret
Details | Diff | Splinter Review
Bug 21351: Rename the Taiwanese language pack to use correct file name (3.59 KB, patch)
2018-10-04 21:39 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 21351: Rename the Taiwanese language pack to use correct file name (3.59 KB, patch)
2018-10-04 22:25 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 21351: Rename the Taiwanese language pack to use correct file name (3.25 KB, patch)
2018-10-09 17:36 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Margaret 2018-09-14 23:28:52 UTC
Created attachment 78838 [details]
system_pref_misnamed

The zh-Hans-TW file name for Traditional Chinese or Taiwanese written language is incorrectly displaying in the Staff and Opac as 中文 Han (Simplified variant) 台灣 (zh-Hans-TW).

Simplified Chinese, "中文 Han (Simplified variant) 中国 (zh-Hans-CN)" is the official language of the People's Republic of China. 

The "中文 Han (Simplified variant)" is appearing in the language name because the file is titled "zh-Hans-TW" when it should be titled "zh-Hant-TW". The database is set up to use "Hant" but it just incorrectly named.
Comment 1 Margaret 2018-10-04 18:01:55 UTC
Created attachment 79960 [details] [review]
Bug 21351: Rename the Taiwanese language pack to use correct file name

The words "Han (Simplified variant)" is appearing in the language name because the file is titled "zh-Hans-TW" when it should be titled "zh-Hant-TW". The database is set up to use "Hant" but it just incorrectly named.

Test plan
1. Apply patch.
2. Install zh-Hant-TW on your Koha server.
3. Navagate to I18N/L10N preferences and confirm that the english text description states (Traditional variant).
Comment 2 Katrin Fischer 2018-10-04 21:39:33 UTC
Created attachment 79983 [details] [review]
Bug 21351: Rename the Taiwanese language pack to use correct file name

The words "Han (Simplified variant)" is appearing in the language name because the file is titled "zh-Hans-TW" when it should be titled "zh-Hant-TW". The database is set up to use "Hant" but it just incorrectly named.

Test plan
1. Apply patch.
2. Install zh-Hant-TW on your Koha server.
3. Navagate to I18N/L10N preferences and confirm that the english text description states (Traditional variant).

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Files on translate.kc.org have already been fixed by Bernardo.
Comment 3 Chris Cormack 2018-10-04 22:25:28 UTC
Created attachment 79984 [details] [review]
Bug 21351: Rename the Taiwanese language pack to use correct file name

The words "Han (Simplified variant)" is appearing in the language name because the file is titled "zh-Hans-TW" when it should be titled "zh-Hant-TW". The database is set up to use "Hant" but it just incorrectly named.

Test plan
1. Apply patch.
2. Install zh-Hant-TW on your Koha server.
3. Navagate to I18N/L10N preferences and confirm that the english text description states (Traditional variant).

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Files on translate.kc.org have already been fixed by Bernardo.
Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>
Comment 4 Nick Clemens 2018-10-09 12:07:20 UTC
References the help files which have been removed, please update
Comment 5 Nick Clemens 2018-10-09 17:36:07 UTC
Created attachment 80302 [details] [review]
Bug 21351: Rename the Taiwanese language pack to use correct file name

The words "Han (Simplified variant)" is appearing in the language name because the file is titled "zh-Hans-TW" when it should be titled "zh-Hant-TW". The database is set up to use "Hant" but it just incorrectly named.

Test plan
1. Apply patch.
2. Install zh-Hant-TW on your Koha server.
3. Navagate to I18N/L10N preferences and confirm that the english text description states (Traditional variant).

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Files on translate.kc.org have already been fixed by Bernardo.
Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>
Comment 6 Nick Clemens 2018-10-15 17:04:46 UTC
Awesome work all!

Pushed to master for 18.11
Comment 7 Martin Renvoize 2018-10-26 11:36:05 UTC
Converted to the removal of said files as merges of translation branches during the prior two releases had already given us the new files.

Pushed to 18.05.x for 18.05.06
Comment 8 Fridolin SOMERS 2018-11-09 11:42:09 UTC
Pushed to 17.11.x for 17.11.12